import { AwsCredentialsType, AwsSdkVersionEnum } from './aws-credentials-type.js';
import { AwsAssumedRoleType } from './aws-assumed-role.js';
import { AwsKeysType } from './aws-keys.js';
export type LocalAwsProfileType = {
    profileName: string;
};
declare class LocalAwsProfile extends AwsCredentialsType implements LocalAwsProfileType {
    profileName: string;
    constructor(props: LocalAwsProfileType);
    static isLocalAwsProfile(credentials: AwsAssumedRoleType | AwsKeysType | LocalAwsProfileType): boolean;
    static fromJson(object: LocalAwsProfileType): LocalAwsProfile;
    getCredentials(awsSdkVersion?: AwsSdkVersionEnum): Promise<import("./aws-credentials-type.js").AwsCredentials>;
}
export { LocalAwsProfile };
